[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TDialogButton.GetDisplayName

Gets the value for the DisplayName property.

## Declaration

Source position: interfacebase.pp line 89

`protected function TDialogButton.GetDisplayName: string; override;`

## Function result

Display name for the collection item.

## Description

GetDisplayName is an overridden method in TDialogButton and uses the value in the Caption property as the name displayed for the collection item.

## See also

TDialogButton.Caption |  | Value displayed on the button face.
TCollectionItem.DisplayName